#include "StO97Track.h"

ClassImp(StO97Track)


//________________
StO97Track::StO97Track() : 
mId(0), mPdgId(0), mPx(0.), mPy(0.), mPz(0.), mE(0.),
  mMass(0.), mXfr(0.), mYfr(0.), mZfr(0.), mTfr(0.),
  mIsSpec(0.)
{ }


//________________
StO97Track &StO97Track::operator=(const StO97Track &orig) {
  if (this != &orig) {
    mId = orig.mId;
    mPdgId = orig.mPdgId;
    mPx = orig.mPx;
    mPy = orig.mPy;
    mPz = orig.mPz;
    mE = orig.mE;
    mMass = orig.mMass;
    mXfr = orig.mXfr;
    mYfr = orig.mYfr;
    mZfr = orig.mZfr;
    mTfr = orig.mTfr;
    mIsSpec = orig.mIsSpec;
  }
  return *this;
}



//________________
void StO97Track::SetTrack(Int_t id, Int_t pdgId, 
			  Float_t px, Float_t py, Float_t pz, 
			  Float_t energy, Float_t mass,
			  Float_t xFr, Float_t yFr, Float_t zFr,
			  Float_t tFr, Bool_t isSpec) {
  mId = id;
  mPdgId = pdgId;
  mPx = px;
  mPy = py;
  mPz = pz;
  mE = energy;
  mMass = mass;
  mXfr = xFr;
  mYfr = yFr;
  mZfr = zFr;
  mTfr = tFr;
  mIsSpec = isSpec;
}
